# Generated by go2rpm {{ generator_version }}
%bcond_without check
%bcond_with bootstrap

{% if has_cmd or main_cmd is not none or other_cmd|length != 0 %}
%if %{with bootstrap}
%global debug_package %{nil}
%endif

{% endif %}
%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# {{ forge }}
%global goipath         {{ goipath }}
{% if not 'github.com' in goipath %}
%global forgeurl        {{ forge }}
{% endif %}
{% if version is not none or tag is not none %}
Version:                {{ version if version is not none else tag }}
{% endif %}
{% if tag is not none %}
%global tag             {{ tag }}
{% endif %}
{% if commit is not none %}
%global commit          {{ commit }}
{% endif %}

%gometa

{% if altipaths is not none %}
%global goaltipaths     {{ altipaths|join(' ') }}

{% endif %}
%global common_description %{expand:
{{ description|default("# FIXME", true)|wordwrap(wrapstring="\n")|trim }}}

{% if license_files|length > 0 %}
%global golicenses      {{ license_files|join(' ')|wordwrap(width=53, wrapstring="\\\\\\\n                        ")|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%global godocs          {{ doc_files|join(' ')|wordwrap(width=53, wrapstring="\\\\\\\n                        ")|trim }}

{% endif %}
Name:           {{ name }}
{% if version is none and tag is none %}
Version:        0
{% endif %}
Release:        %mkrel {{ pkg_release }}
Summary:        {{ summary|default("# FIXME") }}
Group:          Development/Golang
{% if not has_cmd and main_cmd is none and other_cmd|length == 0 %}
BuildArch:      noarch
{% endif %}
License:        {{ licenses|default("# FIXME", true) }}
URL:            %{gourl}
Source:         %{gosource}

{% if not generate_buildrequires %}
%if %{without bootstrap}
{% if buildrequires|length > 0 %}
{% set br = buildrequires|sort %}
{% for req in br %}
BuildRequires:  golang({{ req }})
{% endfor %}

{% endif %}
{% if test_buildrequires|length > 0 %}
{% set test_br = test_buildrequires|sort %}
%if %{with check}
# Tests
{% for req in test_br %}
BuildRequires:  golang({{ req }})
{% endfor %}
%endif

{% endif %}
%endif
{% endif %}
%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

{% if generate_buildrequires %}
%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

{% endif -%}
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
%build
{% if has_cmd %}
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
{% if main_cmd is not none %}
%gobuild -o %{gobuilddir}/bin/{{ main_cmd }} %{goipath}
{% endif %}
{% if other_cmd|length > 0 %}
for cmd in {{ other_cmd|sort|join(' ') }}; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
%endif

{% endif %}
%install
%gopkginstall
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif
{% endif %}

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
%files
{% if license_files|length > 0 %}
%license {{ license_files|join(' ')|customwordwrap(width=70, wrapstring="\n%license ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%doc {{ doc_files|join(' ')|customwordwrap(width=75, wrapstring="\n%doc ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
{% if main_cmd is not none %}
%{_bindir}/{{ main_cmd }}
{% else %}
%{_bindir}/*
{% endif %}
%endif

{% endif %}
%gopkgfiles

